#ifndef IMAGEDATA_H
#define IMAGEDATA_H
#include <arduino.h>

class IMAGEDATA
{
  private:
    int Width ;
    int Hight ;
    uint8_t *Image ;

  public:
    IMAGEDATA() ;
    ~IMAGEDATA() ;

    int getWidth() { return Width ; }
    int getHight() { return Hight ; }
    uint8_t * getImage() { return Image ; }

    void setWidth(int width) { Width = width ; }
    void setHight(int hight) { Hight = hight ; }
    bool allocImage(int imageSize) ;
} ;

typedef struct {
  uint8_t *dp ;       // ImageDataへのポインタ(次回読み出し位置)
  int ImageDataSize ; // ImageDataの残りサイズ
  uint8_t *fbuf;   /* Pointer to the frame buffer for output function */
  unsigned int wfbuf;   /* Width of the frame buffer [pix] */
} IODEV;

extern bool LoadImage(uint8_t *iconData,IMAGEDATA *imageData) ;

#endif
